LoggingTransformer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.logging
[Java] Class LoggingTransformer

    java.lang.Object
      org.codehaus.groovy.grails.compiler.logging.LoggingTransformer

All Implemented Interfaces:
  AllArtefactClassInjector

    @AstTransformer
    public class LoggingTransformer
    extends java.lang.Object

Adds a log method to all artifacts.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `CONF_DIR`
`static java.lang.String` | `FILTERS_ARTEFACT_TYPE`
`static java.lang.String` | `LOG_PROPERTY`

Method Summary
`static void` | `addLogField(org.codehaus.groovy.ast.ClassNode classNode, java.lang.String logName)`
`void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
`boolean` | `shouldInject(java.net.URL url)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONF_DIR

    public static final java.lang.String CONF_DIR

### FILTERS_ARTEFACT_TYPE

    public static final java.lang.String FILTERS_ARTEFACT_TYPE

### LOG_PROPERTY

    public static final java.lang.String LOG_PROPERTY

Method Detail

### addLogField

    public static void addLogField(org.codehaus.groovy.ast.ClassNode classNode, java.lang.String logName)

### performInjection

    public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

### performInjection

    public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

### performInjectionOnAnnotatedClass

    @java.lang.Overridepublic void performInjectionOnAnnotatedClass(SourceUnit source, ClassNode classNode) {
    public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

### shouldInject

    public boolean shouldInject(java.net.URL url)

Groovy Documentation